html, body {
    margin: 0; 
    width: 100%;
    height: 100%;
}

.appWrapper {
    /* border: 1px solid blue; */
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    max-height: 100vh;
}

.header {
    /* border: 1px solid red; */
    display: flex;
    padding: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid #f3f3f3;
    /* box-shadow: 0 5px 15px #f3f3f3; */
}

.content {
    flex: 1;
    display: flex;
    flex-direction: row;
    overflow-y: auto;
}

.configurationBox {
    border: 1px solid rgb(231, 231, 231);
    margin-bottom: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 5px #f3f3f3;
    background-color: #fff;
}


.configurationBox:hover {
    border: 1px solid rgb(23, 219, 253);
    margin-bottom: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 5px #f3f3f3;
}

.configurationBox .parameters {
    padding: 10px;
}

.sidebar {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    padding: 0 10px;
}

.visualizer {
    flex: 1;
    display: flex;
    /* border: 1px solid green; */
    justify-content: center;
    padding: 20px;
}

.databar {
    padding: 10px 0 10px 10px;
    background-color: #fff;
    box-shadow: 0 -5px 15px #f3f3f3;
    /* border: 1px solid green; */
}

.databarWrapper {
    /* border: 1px solid red; */
    /* border-top: 2px solid #f3f3f3; */
    /* padding-top: 10px; */

    display: flex;
    justify-content: end;
    overflow-x: auto;
}

.databar .configurationBox {
    margin-right: 10px;
    margin-bottom: 0;
    display: flex;
    flex-direction: column;
}